Subject: Re: port-i386/13151: 1.5.1_BETA_2 INSTALL_LAPTOP pciide lost interrupts prevent install
To: Steve Woodford <>
From: Matt Behrens <>
List: netbsd-bugs
Date: 06/10/2001 11:47:57
On Sun, Jun 10, 2001 at 02:05:01PM +0100, Steve Woodford wrote:
> On Sat, 9 Jun 2001 wrote:
> >  pciide0 at pci0 dev 20 function 0: OPTi 82c621 PCI IDE controller (rev. 0x12)
> >  pciide0: bus-master DMA support present
> >  pciide0: primary channel wired to compatibility mode
> It's possible that DMA is broken (or our support of it is) on that
> revision of the OPTi controller. My compaq laptop reports rev. 0x30, and
> obviously works since the driver was developed on it. ;-)
> If I can find some time when the 1.5 branch is buildable again, I'll try
> to build an install kernel with DMA support conditionalised on the
> revision >= 0x30 for you to try.

Per Martin Husemann's suggestion, I tried boot-tiny.fs (which I see
uses wdc and not pciide).  This is working, although now my Linksys
card is definitely not working :-)

I could still use that install kernel, Steve, if you could spare a
few minutes.  Thanks!